package com.ruoyi.ems.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 能源策略参数对象 adm_op_energy_strategy_param
 * 
 * @author ruoyi
 * @date 2024-10-14
 */
public class OpEnergyStrategyParam
{
    /** 序号 */
    private Long id;

    /** 策略代码 */
    private String strategyCode;

    /** 策略分组 */
    private String paramGroup;

    /** 参数键值 */
    private String paramKey;

    /** 参数名称 */
    private String paramName;

    /** 参数值 */
    private String paramValue;

    /** 参数值格式  */
    private String paramValueFormat;

    /** 可编辑 */
    private Long editEnable;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setStrategyCode(String strategyCode) 
    {
        this.strategyCode = strategyCode;
    }

    public String getStrategyCode() 
    {
        return strategyCode;
    }
    public void setParamGroup(String paramGroup) 
    {
        this.paramGroup = paramGroup;
    }

    public String getParamGroup() 
    {
        return paramGroup;
    }
    public void setParamKey(String paramKey) 
    {
        this.paramKey = paramKey;
    }

    public String getParamKey() 
    {
        return paramKey;
    }
    public void setParamName(String paramName) 
    {
        this.paramName = paramName;
    }

    public String getParamName() 
    {
        return paramName;
    }
    public void setParamValue(String paramValue) 
    {
        this.paramValue = paramValue;
    }

    public String getParamValue() 
    {
        return paramValue;
    }
    public void setEditEnable(Long editEnable) 
    {
        this.editEnable = editEnable;
    }

    public String getParamValueFormat() {
        return paramValueFormat;
    }

    public void setParamValueFormat(String paramValueFormat) {
        this.paramValueFormat = paramValueFormat;
    }

    public Long getEditEnable()
    {
        return editEnable;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("strategyCode", getStrategyCode())
            .append("paramGroup", getParamGroup())
            .append("paramKey", getParamKey())
            .append("paramName", getParamName())
            .append("paramValue", getParamValue())
            .append("editEnable", getEditEnable())
            .toString();
    }
}
